%define _requires_exceptions pear(/usr/share/php5-jpgraph\\|pear(/usr/share/php-adodb

Summary:	Web Based Project Management Tool
Name:		dotproject
Version:	2.1.2
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://www.dotproject.net
Source0:	http://prdownloads.sourceforge.net/dotproject/%{name}-%{version}.tar.bz2
# S10 - S20 was taken from CVS
Source10:	backup.tar.bz2
Source11:	groups.tar.bz2
Source12:	helpdesk.tar.bz2
Source13:	inventory.tar.bz2
Source14:	invoices.tar.bz2
Source15:	journal.tar.bz2
Source16:	payments.tar.bz2
Source17:	reports.tar.bz2
Source18:	timecard.tar.bz2
Source19:	timesheet.tar.bz2
Source20:	timetrack.tar.bz2
Source100:	cs-dotproject-2.0.1.tar.bz2
Source101:	de_DE-20060425.tar.bz2
Source102:	dotproject_2.0.1_pl_langfiles.tar.bz2
Source103:	dotproject_2x_hu_locale.tar.bz2
Source104:	fra_locales_201.tar.bz2
Source105:	help_ta_TA_utf-8.tar.bz2
Source106:	locales_ita.tar.bz2
Source107:	locales_ta_TA_utf-8.tar.bz2
Source108:	portuguese_brz.tar.bz2
Source109:	pt_PT-v1.0.tar.bz2
Source110:	si_translation.tar.bz2
Source111:	sk.tar.bz2
Source112:	spanish.tar.bz2
Source113:	sv.tar.bz2
Source114:	zh_tw_big5.tar.bz2
Source115:	zh_tw_utf8.tar.bz2
Patch0:		dotproject-perl_path.diff
#Patch1:		dotproject-external_adodb.diff
#Patch2:		dotproject-external_jpgraph.diff
Patch3:		dotproject-external_smarty.diff
Patch4:		dotproject-external_nusoap.diff
#Patch5:		dotproject-mysql-5.0x.diff
Requires(post): rpm-helper apache-mod_php
Requires(preun): rpm-helper apache-mod_php
Requires:	apache-mod_php
Requires:	php-common
Requires:	php-mysql
Requires:	php-gd
Requires:	php-sqlite
Requires:	php-ldap
Requires:	xpdf
Requires:	php-adodb
Requires:	php-jpgraph
Requires:	php-smarty
Requires:	nusoap
BuildArch:	noarch
BuildRequires:	apache-devel >= 2.0.54
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
DotProject is a Web-based project management framework that includes modules
for companies, projects, tasks (with Gantt charts), forums, files, a
calendar, contacts, tickets/helpdesk, multi-language support, user/module
permissions, and themes. It is translated into 17 languages and has a modular
design that allows extra modules (such as time sheets and inventory) to be
added in easily.

%prep

%setup -q -n %{name}

# don't bundle these
#rm -rf lib/PEAR
rm -rf lib/adodb
rm -rf lib/jpgraph
rm -rf lib/smarty
rm -f lib/phpgacl/soap/nusoap.php

# modules
pushd modules
    tar -jxf %{SOURCE10}
    tar -jxf %{SOURCE11}
    tar -jxf %{SOURCE12}
    tar -jxf %{SOURCE13}
    tar -jxf %{SOURCE14}
    tar -jxf %{SOURCE15}
    tar -jxf %{SOURCE16}
    tar -jxf %{SOURCE17}
    tar -jxf %{SOURCE18}
    tar -jxf %{SOURCE19}
    tar -jxf %{SOURCE20}
popd

# translations
mkdir -p locales_tmp
pushd locales_tmp
    tar -jxf %{SOURCE100}
    tar -jxf %{SOURCE101}
    tar -jxf %{SOURCE102}
    tar -jxf %{SOURCE103}
    tar -jxf %{SOURCE104}
    tar -jxf %{SOURCE105}
    tar -jxf %{SOURCE106}
    tar -jxf %{SOURCE107}
    tar -jxf %{SOURCE108}
    tar -jxf %{SOURCE109}
    tar -jxf %{SOURCE110}
    tar -jxf %{SOURCE111}
    tar -jxf %{SOURCE112}
    mkdir -p sv; pushd sv; tar -jxf %{SOURCE113}; popd
    tar -jxf %{SOURCE114}
    tar -jxf %{SOURCE115}
popd

# fix translations (messy...)
mv locales_tmp/cs locales/
mv locales_tmp/loc_german/locales/de locales/
mv locales_tmp/loc_german/modules/help/de modules/help/
mv locales_tmp/loc_german/modules/projects/reports modules/projects/reports/
mv locales_tmp/pl locales/
mv locales_tmp/locales/hu locales/
mv locales_tmp/locales/pt_br locales/
mv locales_tmp/locales/es locales/
mv locales_tmp/fra_locales_201/fr locales/
mv locales_tmp/ta_TA_utf-8 locales/
mv locales_tmp/it locales/
mv locales_tmp/pt_PT locales/
mv locales_tmp/si locales/
mv locales_tmp/sk locales/
mv locales_tmp/sv locales/
mv locales_tmp/zh_tw locales/
mv locales_tmp/zh_tw_utf-8 locales/
rm -rf locales_tmp


find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%patch0 -p0
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export DONT_RELINK=1

install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

install -d %{buildroot}/var/www/%{name}/files/cache/phpgacl
install -d %{buildroot}/var/www/%{name}/files/cache/smarty_templates
install -d %{buildroot}/var/www/%{name}/files/cache/smarty_templates_c

# fix dir perms
#chmod -R 707 %{buildroot}/var/www/%{name}/files
#chmod -R 707 %{buildroot}/var/www/%{name}/locales

# fix file perms
chmod 755 %{buildroot}/var/www/%{name}/includes/gateway.pl
cp %{buildroot}/var/www/%{name}/includes/gateway.pl %{buildroot}/var/www/%{name}/modules/helpdesk/gateway.pl

# fix config file location
cp %{buildroot}/var/www/%{name}/includes/config-dist.php %{buildroot}%{_sysconfdir}/%{name}/config.php
ln -s %{_sysconfdir}/%{name}/config.php %{buildroot}/var/www/%{name}/includes/config.php

cat > dotproject-apache.conf << EOF

Alias /%{name} "/var/www/%{name}"

<Directory "/var/www/%{name}">

    Order Allow,Deny
    Allow from All

    <IfModule mod_php4.c>
	php_admin_value memory_limit    64M
	php_admin_value post_max_size   17M
	php_admin_value upload_max_filesize 16M
	php_admin_value max_execution_time 120
    </IfModule>

    <IfModule mod_php5.c>
	php_admin_value memory_limit    64M
	php_admin_value post_max_size   17M
	php_admin_value upload_max_filesize 16M
	php_admin_value max_execution_time 120
    </IfModule>

</Directory>

<Directory "/var/www/%{name}/files">
    Options -All
    Deny from All
</Directory>

<Directory "/var/www/%{name}/files/temp">
    Options -All
    Order Allow,Deny
    Allow from All
</Directory>

<Directory "/var/www/%{name}/includes">
    <Files "gateway.pl">
	Order Deny,Allow
	Deny from All
    </Files>
</Directory>

<Directory "/var/www/%{name}/install">
    Order Deny,Allow
    Deny from All
    Allow from 127.0.0.1
</Directory>

EOF

install -m0644 dotproject-apache.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

# cleanup
find %{buildroot}/var/www/%{name} -type f -name "\.htaccess" | xargs rm -f

%post
%_post_webapp

%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}
%attr(0640,apache,apache) /var/www/%{name}/includes/config.php
%attr(0755,apache,apache) %dir /var/www/%{name}/files
%attr(0755,apache,apache) %dir /var/www/%{name}/files/cache/phpgacl
%attr(0755,apache,apache) %dir /var/www/%{name}/files/cache/smarty_templates
%attr(0755,apache,apache) %dir /var/www/%{name}/files/cache/smarty_templates_c
%attr(0755,apache,apache) %dir /var/www/%{name}/files/temp
%attr(0755,apache,apache) %dir /var/www/%{name}/locales/en




%changelog
* Tue Aug 12 2008 Jérôme Soyer <saispo@mandriva.org> 2.1.2-1mdv2009.0
+ Revision: 271075
- New release

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.1-3mdv2009.0
+ Revision: 244519
- rebuild

* Tue Jan 08 2008 Emmanuel Andry <eandry@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 146813
- New version
- drop patches 1,2 and 5

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.0.4-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.4-2mdv2007.1
+ Revision: 140255
- requires php5-jpgraph is now php-jpgraph

* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2007.1
+ Revision: 89525
- Import dotproject

* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-1mdv2007.1
- 2.0.4 (security release)
- rediffed patches; P2

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-2mdk
- add the available translations

* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-1mdk
- 2.0.2
- rediffed patches; P0,P1,P2,P3
- added P4 (nusoap)
- added P5 (mysql-5.0.x)

* Wed Apr 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-0.20060411.1mdk
- use a recent snap (20060411)

* Tue Apr 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-1mdk
- 2.0.1
- drop plugins that now are bundled
- update plugins

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 1.0.2-2mdk
- rebuild

* Tue May 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- initial package
- added P0 & P1

